libva-freeworld-0.32.0-1.sds2.el6.nux.x86_64.rpm


Advertisement

Description

libva-freeworld - Video Acceleration (VA) API for Linux

Property Value
Distribution CentOS 6
Repository Nux Dextop x86_64
Package name libva-freeworld
Package version 0.32.0
Package release 1.sds2.el6.nux
Package architecture x86_64
Package type rpm
Installed size 713.35 KB
Download size 142.50 KB
Official Mirror li.nux.ro
Libva is a library providing the VA API video acceleration API.

Alternatives

Package Version Architecture Repository
libva-freeworld-1.0.14-1.puias6.i686.rpm 1.0.14 i686 PUIAS
libva-freeworld-1.0.14-1.puias6.i686.rpm 1.0.14 i686 PUIAS
libva-freeworld-1.0.14-1.puias6.x86_64.rpm 1.0.14 x86_64 PUIAS
libva-freeworld-0.32.0-2.sds2.el6.nux.i686.rpm 0.32.0 i686 Nux Dextop Testing
libva-freeworld-0.32.0-2.sds2.el6.nux.x86_64.rpm 0.32.0 x86_64 Nux Dextop Testing
libva-freeworld-0.32.0-1.sds2.el6.nux.i686.rpm 0.32.0 i686 Nux Dextop
libva-freeworld - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1()(64bit) -
libX11.so.6()(64bit) -
libXext.so.6()(64bit) -
libXfixes.so.3()(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libdrm.so.2()(64bit) -
libdrm_intel.so.1()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
dummy_drv_video.so()(64bit) -
i965_drv_video.so()(64bit) -
libva = 0.32.0-1.sds2.el6.nux
libva-0.32.0.2.so.1()(64bit) -
libva-compat.so.0()(64bit) -
libva-egl-0.32.0.2.so.1()(64bit) -
libva-freeworld = 0.32.0-1.sds2.el6.nux
libva-freeworld(x86-64) = 0.32.0-1.sds2.el6.nux
libva-glx-0.32.0.2.so.1()(64bit) -
libva-tpi-0.32.0.2.so.1()(64bit) -
libva-utils = 0.31.1
libva-x11-0.32.0.2.so.1()(64bit) -

Obsoletes

Name Value
libva < 0.31.1
libva-utils < 0.31.1

Download

Type URL
Binary Package libva-freeworld-0.32.0-1.sds2.el6.nux.x86_64.rpm
Source Package libva-freeworld-0.32.0-1.sds2.el6.nux.src.rpm

Install Howto

  1. Download latest nux-dextop-release rpm from
    http://li.nux.ro/download/nux/dextop/el6/x86_64/
  2. Install nux-dextop-release rpm:
    # rpm -Uvh nux-dextop-release*rpm
  3. Install libva-freeworld rpm package:
    # yum install libva-freeworld

Files

Path
/usr/bin/vainfo
/usr/lib64/libva-0.32.0.2.so.1
/usr/lib64/libva-0.32.0.2.so.1.0.10
/usr/lib64/libva-compat.so.0
/usr/lib64/libva-compat.so.0.0.0
/usr/lib64/libva-egl-0.32.0.2.so.1
/usr/lib64/libva-egl-0.32.0.2.so.1.0.10
/usr/lib64/libva-glx-0.32.0.2.so.1
/usr/lib64/libva-glx-0.32.0.2.so.1.0.10
/usr/lib64/libva-tpi-0.32.0.2.so.1
/usr/lib64/libva-tpi-0.32.0.2.so.1.0.10
/usr/lib64/libva-x11-0.32.0.2.so.1
/usr/lib64/libva-x11-0.32.0.2.so.1.0.10
/usr/lib64/va/
/usr/lib64/va/drivers/dummy_drv_video.so
/usr/lib64/va/drivers/i965_drv_video.so
/usr/share/doc/libva-freeworld-0.32.0/COPYING

Changelog

2011-06-24 - Nux <rpm@li.nux.ro> - 0.31.0-1.sds2
- initial rebuild for EL6
2010-07-16 - Nicolas Chauvet <kwizart@gmail.com> - 0.31.1-1.sds4
- Update to 0.31.1-1+sds4
- Add BR libudev-devel
- Obsoletes libva-utils 
(tests files aren't installed anymore).
2010-07-16 - Nicolas Chauvet <kwizart@gmail.com> - 0.31.0.1.sds13-3
- Revert to the previous version scheme
- Fix mix use of spaces and tabs
2010-07-14 - Nicolas Chauvet <kwizart@gmail.com> - 0.31.0-1.sds13
- Move to libva-freeworld
- Virtual provides libva bumped with epoch
- Remove duplicate licence file.
2010-07-05 - Nicolas Chauvet <kwizart@gmail.com> - 0.31.0.1.sds130-1
- Update to 0.31.0-1+sds13
2010-03-12 - Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds10-1
- new SDS patch version (sds10):
+ Add detection of Broadcom Crystal HD chip.
+ Require vaDriverInit() function to include SDS API version. 
+ OpenGL extensions updates:
- Drop the 'bind' API. Only keep vaCopySurfaceGLX().
- Fix FBO check for the generic implementation with TFP.
+ Compat: strip vaPutSurface() flags to match older API.
- This fixes deinterlacing support with GMA500 "psb" driver.
+ Upgrade to GIT snapshot 2009/12/17:
- Add a "magic" number to VADisplayContext.
- Add more test programs, including h264 encoding.
- add -utils package for the various new binaries in this build
2009-12-03 - Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds9-1
- new SDS patch version (sds9):
+ Add extra picture info for VDPAU/MPEG-4
2009-11-23 - Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds8-1
- new SDS patch version (sds8) - note sds7 package actually contained
sds5 due to an error on my part:
+ Fix detection of ATI chipsets with fglrx >= 8.69-Beta1.
+ Upgrade to GIT snapshot 2009/11/20:
+ Merge in some G45 fixes and additions.
+ Add VA_STATUS_ERROR_SURFACE_IN_DISPLAYING.
2009-11-17 - Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds7-1
- new SDS patch version:
+ Fix compatibility with older programs linked against libva.so.0
+ G45 updates:
+ Fix vaCreateImage() and vaDestroyImage()
+ Fix subpictures association to parent surfaces
+ Fix rendering of subpictures (extra level of scaling)
+ Fix subpicture palette upload (IA44 and AI44 formats for now)
+ Add RGBA subpicture formats
+ Add YV12 vaGetImage() and vaPutImage()
+ Fix subpicture rendering (flickering)
+ Fix return value for unimplemented functions
+ Fix vaPutSurface() to handle cliprects (up to 80)
2009-10-08 - Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds5-2
- enable the i965 driver build

See Also

Package Description
libva-freeworld-devel-0.32.0-1.sds2.el6.nux.x86_64.rpm Development files for libva-freeworld
libvisual-plugins-0.4.0-8.el6.nux.x86_64.rpm Plugins for use with libvisual
libvpx-0.9.7.1-3.el6.nux.i686.rpm VP8 Video Codec SDK
libvpx-0.9.7.1-3.el6.nux.x86_64.rpm VP8 Video Codec SDK
libvpx-devel-0.9.7.1-3.el6.nux.i686.rpm Development files for libvpx
libvpx-devel-0.9.7.1-3.el6.nux.x86_64.rpm Development files for libvpx
libvpx-utils-0.9.7.1-3.el6.nux.i686.rpm VP8 utilities and tools
libvpx-utils-0.9.7.1-3.el6.nux.x86_64.rpm VP8 utilities and tools
libxdo-2.20110530.1-4.el6.nux.x86_64.rpm Keyboard input simulation library
libxdo-devel-2.20110530.1-4.el6.nux.x86_64.rpm Development files for libxdo
link-grammar-4.7.4-3.el6.nux.x86_64.rpm A Grammar Checking library
link-grammar-devel-4.7.4-3.el6.nux.x86_64.rpm Support files necessary to compile applications with liblink-grammar
link-grammar-java-4.7.4-3.el6.nux.x86_64.rpm Java libraries for liblink-grammar
link-grammar-java-devel-4.7.4-3.el6.nux.x86_64.rpm Support files necessary to compile Java applications with liblink-grammar
lirc-0.8.7-1.el6.nux.x86_64.rpm The Linux Infrared Remote Control package
Advertisement
Advertisement